%global momorel 5

Name:           perl-Test-Perl-Critic
Version:        1.01
Release: %{momorel}m%{?dist}
Summary:        Use Perl::Critic in test programs
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Perl-Critic/
Source0: http://www.cpan.org/authors/id/T/TH/THALJEF/testperlcritic/Test-Perl-Critic-%{version}.tar.gz 
NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Perl-Critic
Requires:       perl-Perl-Critic
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Test::Perl::Critic wraps the Perl::Critic engine in a convenient subroutine
suitable for test programs written using the Test::More framework. This
makes it easy to integrate coding-standards enforcement into the build
process. For ultimate convenience (at the expense of some flexibility), see
the criticism pragma.

%prep
%setup -q -n Test-Perl-Critic-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Test/Perl/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.01-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.01-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.01-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.01-2m)
- use vendor

* Fri Jan 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.01-1m)
- update to 1.01

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.07-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
